### Method

# Gio DBusObjectManagerServer export

since: 2.30

#### Declaration

    void
    g_dbus_object_manager_server_export (
      GDBusObjectManagerServer* manager,
      GDBusObjectSkeleton* object
    )

#### Description

Exports `object` on `manager`.

If there is already a `GDBusObject` exported at the object path, then the old object is removed.

The object path for `object` must be in the hierarchy rooted by the object path for `manager`.

Note that `manager` will take a reference on `object` for as long as it is exported.

Available since: 2.30

#### Parameters

`object`

  Type: `GDBusObjectSkeleton`

  A `GDBusObjectSkeleton`.

  The data is owned by the caller of the method.